Cookbook version syntax and version constraints


#1

Hi all,

We wanted let you all know about some features that are currently
underway related to cookbook versions and version constraints

A proposal that describes what we are doing has been posted to the
Chef wiki here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

If you have comments or suggestions, let us know.

Thanks,

  • seth

#2

Hi again,

The implementation for a unified version syntax and version
constraints is now in the opscode chef repository on master.
The docs have been slightly updated and can be seen here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

  • seth

On Wed, Oct 27, 2010 at 11:38 AM, Seth Falcon seth@opscode.com wrote:

Hi all,

We wanted let you all know about some features that are currently
underway related to cookbook versions and version constraints

A proposal that describes what we are doing has been posted to the
Chef wiki here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

If you have comments or suggestions, let us know.

Thanks,

  • seth

#3

Hello,

On 27 October 2010 20:38, Seth Falcon seth@opscode.com wrote:

We wanted let you all know about some features that are currently
underway related to cookbook versions and version constraints

Being a Ruby newbie, I am not fully aware of the Ruby gem version
constraints and operators. So my question goes if the listed operators
and their meaning match the ones from the gem spec, both syntax wise
and by their definition? I assume the gem spec has all the same
requirements, so why not just say that cookbooks use the gem
version/dependency instead of brewing yet another (slight) variant?

Ringo


#4

P.S. I just moved it to
http://wiki.opscode.com/display/chef/Cookbook+Version+Constraints (missing
an s in constraints :))

On Tue, Nov 2, 2010 at 5:12 PM, Seth Falcon seth@opscode.com wrote:

Hi again,

The implementation for a unified version syntax and version
constraints is now in the opscode chef repository on master.
The docs have been slightly updated and can be seen here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

  • seth

On Wed, Oct 27, 2010 at 11:38 AM, Seth Falcon seth@opscode.com wrote:

Hi all,

We wanted let you all know about some features that are currently
underway related to cookbook versions and version constraints

A proposal that describes what we are doing has been posted to the
Chef wiki here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

If you have comments or suggestions, let us know.

Thanks,

  • seth

#5

Chri ,

Thank . I really hould fix the ’ ’ key on my keyboard.

  • eth

On Wed, Nov 3, 2010 at 12:59 PM, Chris Walters cw@opscode.com wrote:

P.S. I just moved it
to http://wiki.opscode.com/display/chef/Cookbook+Version+Constraints
(missing an s in constraints :))

On Tue, Nov 2, 2010 at 5:12 PM, Seth Falcon seth@opscode.com wrote:

Hi again,

The implementation for a unified version syntax and version
constraints is now in the opscode chef repository on master.
The docs have been slightly updated and can be seen here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

  • seth

On Wed, Oct 27, 2010 at 11:38 AM, Seth Falcon seth@opscode.com wrote:

Hi all,

We wanted let you all know about some features that are currently
underway related to cookbook versions and version constraints

A proposal that describes what we are doing has been posted to the
Chef wiki here:
http://wiki.opscode.com/display/chef/Cookbook+Version+Contraints

If you have comments or suggestions, let us know.

Thanks,

  • seth